Skip to main content
POST
GetJobApplication

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request to get job application

jobApplicationId
string<uuid>

id of the job application

Response

Success

response from getting job application

id
string

id of the appliaction

jobPostingId
string

id of the job posting

givenName
string

first name

familyName
string

last name

email
string

email

documentSetId
string | null

document set for the application

lastSubmittedAt
string<date-time> | null

A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (Z); input may use an offset from UTC.

Example:

"2023-01-15T01:30:15.01Z"

reapplied
boolean | null

whether candidate reapplied while the application was in a non-unreviewed stage

source
enum<string>

how this application was created

Available options:
ENTRY_SOURCE_UNSPECIFIED,
ENTRY_SOURCE_CAREER_SITE,
ENTRY_SOURCE_MANUAL,
ENTRY_SOURCE_EMAIL
sourceId
string | null

id of the job application for career_site. empty for manual, which has no originating record

createdAt
string<date-time>

when the application was created

Example:

"2023-01-15T01:30:15.01Z"